recursive_mutex.h File Reference
`#include "internal/_deprecated_header_message_guard.h"`
`#include "internal/_warning_suppress_enable_notice.h"`
`#include <pthread.h>`
`#include <new>`
`#include "aligned_space.h"`
`#include "tbb_stddef.h"`
`#include "tbb_profiling.h"`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for recursive_mutex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| tbb
| The graph class.

## Macros

#define | __TBB_show_deprecation_message_recursive_mutex_H
#define | __TBB_recursive_mutex_H
#define | __TBB_recursive_mutex_H_include_area

## Macro Definition Documentation

## __TBB_recursive_mutex_H

#define __TBB_recursive_mutex_H

Definition at line 29 of file recursive_mutex.h.

## __TBB_recursive_mutex_H_include_area

#define __TBB_recursive_mutex_H_include_area

Definition at line 31 of file recursive_mutex.h.

## __TBB_show_deprecation_message_recursive_mutex_H

#define __TBB_show_deprecation_message_recursive_mutex_H

Definition at line 20 of file recursive_mutex.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.